Package org.eclipse.birt.chart.datafeed

# Interface IDataSetProcessor

All Known Implementing Classes:
  `DataSetAdapter`

public interface IDataSetProcessor
Provides a generic definition of a data set processor capable of building or scanning through data sets associated with specific series types.

## Method Summary

Modifier and Type
Method
Description
`DataSet`
`fromString(String sDataSetRepresentation, DataSet ds)`
Attempts to parse a line of text representing multiple values of a specific data element type and updates an existing data set or creates a new data set filled with these values.
`List<Query>`
`getDataDefinitionsForGrouping(Series series)`
Provides a list of data definitions for grouping.
`String`
`getExpectedStringFormat()`
`Locale`
`getLocale()`
Deprecated.
use `getULocale()` instead.
`Object`
`getMaximum(DataSet ds)`
Causes implementation specific data set processor classes to compute the maximum value in a data set of a specific series type.
`Object`
`getMinimum(DataSet ds)`
Causes implementation specific data set processor classes to compute the minimum value in a data set of a specific series type.
`com.ibm.icu.util.ULocale`
`getULocale()`
Provides the locale to device renderer implementations as needed to retrieve localized resources for presentation.
`DataSet`
`populate(Object oResultSetDef, DataSet ds)`
Populates a data set with data element values retrieved from a result set created as a result of query execution
`String`
`toString(Object[] columnData)`
Attempts to format a column of data to string.

## Method Details

### fromString

DataSet fromString(String sDataSetRepresentation, DataSet ds) throws ChartException
Attempts to parse a line of text representing multiple values of a specific data element type and updates an existing data set or creates a new data set filled with these values.

Parameters:
  `sDataSetRepresentation` - A line of text containing a list of data element values that may be parsed.
  `ds` - An existing data set (or null for a new one) that needs to be filled with data elements created by parsing the line of text as per the expected string format.
Returns:
  The existing data set definition passed in as an argument or a new one if the 'ds' argument was null
Throws:
  `ChartException`

### toString

String toString(Object[] columnData) throws ChartException
Attempts to format a column of data to string. For example, an array Object[Double(1), Double(2)] will be converted into String "1,2"

Parameters:
  `columnData` - array of column data. All elements have same class type.
Throws:
  `ChartException`

### getExpectedStringFormat

String getExpectedStringFormat()

Returns:
  The expected format of a line of text that will be used by the fromString(...) method to parse and create data elements to be populated into a data set

### populate

DataSet populate(Object oResultSetDef, DataSet ds) throws ChartException
Populates a data set with data element values retrieved from a result set created as a result of query execution

Parameters:
  `oResultSetDef` - An instance of a generic result set that is host application specific. For BIRT, the result set class is ResultSetDataSet
  `ds` - An existing data set (or null for a new one) that needs to be filled with with data elements extracted from the result set definition
Returns:
  The existing data set definition passed in as an argument or a new one if the 'ds' argument was null
Throws:
  `ChartException`

### getMinimum

Object getMinimum(DataSet ds) throws ChartException
Causes implementation specific data set processor classes to compute the minimum value in a data set of a specific series type.

Parameters:
  `ds` - The data set for which the minimum value needs to be computed
Returns:
  The minimum value found in the data set
Throws:
  `ChartException`

### getMaximum

Object getMaximum(DataSet ds) throws ChartException
Causes implementation specific data set processor classes to compute the maximum value in a data set of a specific series type.

Parameters:
  `ds` - The data set for which the maximum value needs to be computed
Returns:
  The maximum value found in the data set
Throws:
  `ChartException`

### getLocale

@Deprecated Locale getLocale()
Deprecated.
use `getULocale()` instead.
Provides the locale to device renderer implementations as needed to retrieve localized resources for presentation.

Returns:
  The locale to be used

### getULocale

com.ibm.icu.util.ULocale getULocale()
Provides the locale to device renderer implementations as needed to retrieve localized resources for presentation.

Returns:
  The locale to be used
Since:
  2.1

### getDataDefinitionsForGrouping

List<Query> getDataDefinitionsForGrouping(Series series)
Provides a list of data definitions for grouping. The data after evaluating will be aggregated by aggregation expression.

Parameters:
  `series` - series to get data definitions
Returns:
  a list of data definitions for grouping
Since:
  2.2